|  | Home | Documentation | _wsse__Security Struct Reference updated Fri Jul 17 2020 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
_wsse__Security Struct Reference

This element defines the wsse:Security SOAP header element per Section 4. Imported element _wsse__Security from typemap WS/WS-typemap.dat. More...

`#include <wsse.h>`

Collaboration diagram for _wsse__Security:
[legend]

## Public Attributes
struct _wsu__Timestamp * | wsu__Timestamp
struct _wsse__UsernameToken * | UsernameToken
struct _wsse__BinarySecurityToken * | BinarySecurityToken
struct xenc__EncryptedKeyType * | xenc__EncryptedKey
struct _xenc__ReferenceList * | xenc__ReferenceList
struct wsc__SecurityContextTokenType * | wsc__SecurityContextToken
struct ds__SignatureType * | ds__Signature
struct saml1__AssertionType * | saml1__Assertion
struct saml2__AssertionType * | saml2__Assertion
char * | SOAP_ENV__actor
char * | SOAP_ENV__role

## Detailed Description

This element defines the wsse:Security SOAP header element per Section 4. Imported element _wsse__Security from typemap WS/WS-typemap.dat.

Element "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":Security of complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityHeaderType.

## Member Data Documentation

struct _wsse__BinarySecurityToken* _wsse__Security::BinarySecurityToken

struct ds__SignatureType* _wsse__Security::ds__Signature

struct saml1__AssertionType* _wsse__Security::saml1__Assertion

struct saml2__AssertionType* _wsse__Security::saml2__Assertion

char* _wsse__Security::SOAP_ENV__actor

char* _wsse__Security::SOAP_ENV__role

struct _wsse__UsernameToken* _wsse__Security::UsernameToken

struct wsc__SecurityContextTokenType* _wsse__Security::wsc__SecurityContextToken

struct _wsu__Timestamp* _wsse__Security::wsu__Timestamp

struct xenc__EncryptedKeyType* _wsse__Security::xenc__EncryptedKey

struct _xenc__ReferenceList* _wsse__Security::xenc__ReferenceList

The documentation for this struct was generated from the following file:

- wsse.h